## org.metaabm.provider
Class TransientGroupedItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.metaabm.provider.MetaABMItemProvider
                  org.metaabm.provider.TransientGroupedItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

Direct Known Subclasses:
  AttributesItemProvider, RelatedActsItemProvider, StylesItemProvider

    public class TransientGroupedItemProvider

extends MetaABMItemProvider
implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Constructor Summary
`TransientGroupedItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.emf.ecore.EObject parent)`

Method Summary
`org.eclipse.emf.common.command.Command` `createCommand(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain domain, java.lang.Class<? extends org.eclipse.emf.common.command.Command> commandClass, org.eclipse.emf.edit.command.CommandParameter commandParameter)`
`java.util.Collection<?>` `getChildren(java.lang.Object object)`
`java.lang.String` `getCreateChildDescription(java.lang.Object owner, java.lang.Object feature, java.lang.Object child, java.util.Collection<?> selection)` This returns the description for `CreateChildCommand`.
`java.util.Collection<?>` `getNewChildDescriptors(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain editingDomain, java.lang.Object sibling)`
`java.lang.Object` `getParent(java.lang.Object object)`
`org.eclipse.emf.common.util.ResourceLocator` `getResourceLocator()`

Methods inherited from class org.metaabm.provider.MetaABMItemProvider
`getColumnImage, getColumnText, getCreateChildImage, ids, idsCaps, inputVals, isDisplayAttributeReferences, labels, providerFor, setDisplayAttributeReferences, suggestID, suggestLabel, texts`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, crop, dispose, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFont, getFont, getForeground, getForeground, getImage, getImage, getPropertyDescriptor, getPropertyDescriptors, getPropertyValue, getString, getString, getString, getString, getText, getUpdateableText, hasChildren, isAdapterForType, isPropertySet, removeListener, resetPropertyValue, setPropertyValue, setTarget, unsetTarget`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, notifyChanged`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider
`getElements`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemLabelProvider
`getImage, getText`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor, getPropertyDescriptors`

Constructor Detail

### TransientGroupedItemProvider

    public TransientGroupedItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                        org.eclipse.emf.ecore.EObject parent)

Method Detail

### getParent

    public java.lang.Object getParent(java.lang.Object object)

  Specified by:
    `getParent` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Specified by:
    `getParent` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `getParent` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getChildren

    public java.util.Collection<?> getChildren(java.lang.Object object)

  Specified by:
    `getChildren` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Specified by:
    `getChildren` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `getChildren` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getNewChildDescriptors

    public java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                          org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                                                          java.lang.Object sibling)

  Specified by:
    `getNewChildDescriptors` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Overrides:
    `getNewChildDescriptors` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Overrides:
    `getResourceLocator` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createCommand

    public org.eclipse.emf.common.command.Command createCommand(java.lang.Object object,
                                                                org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                java.lang.Class<? extends org.eclipse.emf.common.command.Command> commandClass,
                                                                org.eclipse.emf.edit.command.CommandParameter commandParameter)

  Specified by:
    `createCommand` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Overrides:
    `createCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getCreateChildDescription

    public java.lang.String getCreateChildDescription(java.lang.Object owner,
                                                      java.lang.Object feature,
                                                      java.lang.Object child,
                                                      java.util.Collection<?> selection)

  This returns the description for `CreateChildCommand`.

  Specified by:
    `getCreateChildDescription` in interface `org.eclipse.emf.edit.command.CreateChildCommand.Helper`
  Overrides:
    `getCreateChildDescription` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`